cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling

## Class SRR_S01_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SRR_S01_Common

- Direct Known Subclasses:
    SRR_S01, SRR_S02, SRR_S03, SRR_S04, SRR_S05, SRR_S06, SRR_S07, SRR_S08, SRR_S09, SRR_S10, SRR_S11

      public abstract class SRR_S01_Common
      extends AbstractQuery

  SRR_S01 - Scheduled Request Response (Event S01). this message is use to sent Filler application responds to SRM,using the SRR message.

  Represents a SRR_S01 message structure (see chapter 10.3). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  2: ERR (Error Segment) MULTIPLE_OPTIONAL
  3: SCHEDULE (a Group in SRR_S01 message) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorSegment(ERR objERR)` Adds Error Segment(ERR) to this message.
    `void` | `addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)` Adds collection of Error Segment(ERR) to this message.
    `ISingleCollection<ERR>` | `getErrorSegments()` Retrieves Collection of Error Segments(ERR) present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `IGroup` | `getScheduleGroup()` Retrieves Schedule Group present in this message.
    `boolean` | `isResponse()` Veifies whether message is Response.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setScheduleGroup(IGroup objGroup)` Sets value of Schedule Group for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isResponse

          public boolean isResponse()

      Veifies whether message is Response.
      Overrides:
        `isResponse` in class `Message`
      Returns:
        boolean

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getErrorSegments

          public ISingleCollection<ERR> getErrorSegments()

      Retrieves Collection of Error Segments(ERR) present in this message.
      Returns:
        ISingleCollection - Collection of Error Segments(ERR) present in this message.

    - #### addErrorSegment

          public void addErrorSegment(ERR objERR)

      Adds Error Segment(ERR) to this message.
      Parameters:
        `objERR` - Specified Error Segment(ERR)to this message.

    - #### addErrorSegments

          public void addErrorSegments(ISingleCollection<ERR> objERRSegmentCollection)

      Adds collection of Error Segment(ERR) to this message.
      Parameters:
        `objERRSegmentCollection` - Collection of Software Segments to add in this message

    - #### getScheduleGroup

          public IGroup getScheduleGroup()

      Retrieves Schedule Group present in this message.
      Returns:
        Group - Schedule Group present in this message.

    - #### setScheduleGroup

          public void setScheduleGroup(IGroup objGroup)

      Sets value of Schedule Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Schedule Group